# SEP history file with demo data for 2-D FD:
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
 #chk.pl: "fd/" "modfd.dat"
 #chk.pl: "fd/" "fdmod.dat"
 #chk.pl: "fd/" "fdsrc.dat"
 #chk.pl: "fd/" "fdrec.dat"
 #chk.pl: "fd/" "snapdiv.cal"
 #chk.pl: "fd/" "snaprot.cal"
 #chk.pl: "fd/" "snap.cal"
 #chk.pl: "fd/" "fdmax.pl"
#
# Data specifying the model by means of the MODEL package:
  MODEL='modfd.dat'
#
# Alternative (old) model specification for program 'fdmod.for':
  FDMOD='fdmod.dat'
# (this backward compatibility is included just for test purposes)
#
# Grid dimensions, FD time steps, snapshots:
  N1=111    N3=41     NTFD=1600      N4=320
  D1=1.000  D3=1.000  DTFD=0.000860  D4=0.004300
  O1=0.000  O3=0.000                 O4=0.000

# Type and position of the point source:
  SRC='fdsrc.dat' # file with the position of the point source
  KSIG=3          # Kuepper signal (with 2 local maxima)
  SIGF=3.333333   # ref. frequency of the Kuepper signal
  SIGA=1.1241E10  # SIGA=SQRT(27)*DEN*DX**3/DT**2, DEN=1600

# Files with receiver positions and synthetic seismograms:
  REC='fdrec.dat'
  SS='fd.gse'

# Form of files with effective elastic parameters and snapshots:
  FORM='formatted'

# Files with snapshots:
  SNAP1='fd1.out'
  SNAP3='fd3.out'

# Files with effective elastic parameters:
  A11='a11.out'
  B11='b11.out'
  C11='c11.out'
  A13='a13.out'
  B13='b13.out'
  C13='c13.out'
  A31='a31.out'
  B31='b31.out'
  C31='c31.out'
  A33='a33.out'
  B33='b33.out'
  C33='c33.out'
  DEN='den.out'
  # AA13='aa13.out'
  # BB13='bb13.out'
  # CC13='cc13.out'

# Velocities for snapshot processing:
  VP='vp.out'
  VS='vs.out'

# Data to control seismogram plotting (program SP):
  SP1='fd1.ps'  SP2=' '  SP3='fd3.ps'
  KODESP=1  SPCHRH=0.25
  SPTMIN=0.000  SPTMAX=1.375  SPTLEN=13.75  SPTDIV=13.75  SPTSUB=2
  SPXMIN=-10    SPXMAX=120    SPXLEN=13.0   SPXDIV=13  SPXSUB=1
  NORMSP=1  SPAMP=0.08

# Programs to execute
  modfd:   'fd.h' /             # gridded elastic parameters
 #fdmod:   'fd.h' /             # just for test purposes
  fd2d:    'fd.h' /             # FD synthetic seismograms
  sp:      'fd.h' /             # seismogram plotting

#.......................................................................

# Programs to execute to prepare snapshots for plotting:
  grdfd:  'fd.h' 'fd1.out' 'fd11.out' ' ' 'fd13.out' /
  grdfd:  'fd.h' 'fd3.out' 'fd31.out' ' ' 'fd33.out' /
  grdcal: 'fd.h' 'snapdiv.cal' 'fd11.out' 'fd33.out' 'vp.out' 'den.out' 'fdp.out' /
  grdcal: 'fd.h' 'snaprot.cal' 'fd13.out' 'fd31.out' 'vs.out' 'den.out' 'fds.out' /

# Universal parameters to display snapshots:
  UNIT='pt'      YSIGN=-1
  VREF=0.000     CREF=-.208333  # Colour of positive divergence is -5/24
  VCIRC=6.283185
  VWHITE=0.000

# Parameters to display these snapshots:
  SAMP=0.500                    # S-wave amplification factor
                                # 2-D equipartition law: SAMP=VS/VP
                                # Seismic force: SAMP=(VS/VP)**1.5
  VSAT=193178    VSAT4=2.000    # Colour saturation (amplitude) control
# VSAT=SQRT(1600*(100/0.35)**3)
  fdmax.pl: fd.h fdp.out fds.out fdmax.ps
# Now display 'fdmax.ps' to check the values of SAMP, VSAT and VSAT4!

# Programs to execute to plot snapshots:
 #grdcal: 'fd.h' 'snap.cal' 'fdp.out' 'fds.out' 'fda.out' 'fdn.out' /
 #grdps:  'fd.h' 'fda.out' 'fd000001.ps' ' ' 'fdn.out' /

# Mask for snapshot PS files and the name of the animated GIF file:
  SNAPS='fd00*.ps'  MOVIE='fd.gif'

# Conversion of PS files to animated GIF (special software needed):
 #fdpcx.pl:    fd.h             # conversion to PCX
 #fdgiflux.pl: fd.h             # conversion to GIF (Linux)
 #fdgifdos.pl: fd.h             # conversion to GIF (MS-DOS)

